package pInclude;


import java.io.Serializable;

/**
 * The Point2D class represents 2D coordinates.  Point2D's are immutable, hence
 * each operation on Point2D returns a new Point2D.
 *
 * @author Matthew Carroll
 */

public class Point2D implements Serializable {

        private float x;
        private float y;
    private static final long serialVersionUID = -231339310282857362L;

    public Point2D(float newX, float newY) {
                x = newX;
                y = newY;
        }
       
        public Point2D add(Point2D p) {
                return new Point2D(x + p.x, y + p.y);
        }
       
        /*
         * Subracts p's x and y values from this points x and y values
         */
        public Point2D subtract(Point2D p) {
                return new Point2D(x - p.x, y - p.y);
        }
       
        public float getX() {
                return x;
        }
       
        public float getY() {
                return y;
        }
       
        /*
         * Gets the scalar distance between 2 points
         */
        public float getDistance(Point2D p) {
                float deltaX = Math.abs(p.x - x);
                float deltaY = Math.abs(p.y - y);
               
                return (float)Math.sqrt(Math.pow(deltaX, 2) + Math.pow(deltaY, 2));
        }
       
        public boolean equals(Point2D p) {
                return (x == p.x) && (y == p.y);
        }
       
}
