/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
/**
 * 
 */
package pModel.pRole;

import java.awt.Point;

import pModel.pTerrain.Terrain;
import pModel.pTerrain._Zone;
import pModel.pTortue.Tortue;

/**
 * Class Defenseur :
 * Créer un Rôle Defenseur
 * 
 * @author Olivier Berthier
 *
 */
public class Defenseur  extends AbstractRole {


	/**
	 * Constructeur du rôle
	 * @param tortue
	 */
	public Defenseur(Tortue tortue) {
		super(tortue);
	}

	/* (non-Javadoc)
	 * @see pModel.pRole.AbstractRole#gestionBalle()
	 */
	@Override
	public void gestionBalle() {
		Tortue tortue = (Tortue) this.tortue;
		//si la balle est dans l'equipe adverse :

		if(tortue.getEquipe().getMembres().contains(match.getBalle().getTortue())){
			//System.out.println("equipe :)");
			//si la balle se trouve dans l'equipe :
			if(match.getBalle().getTortue().equals(tortue)){
				//si la tortue a la balle :
				//si le but se trouve à moins de n pixels, aller vers le but
				for(Tortue t: tortue.getEquipe().getMembres()){
					//si une tortue de l'equipe se trouve à moins de n pixels et qu'elle n'a pas de tortue advers à moins de m pixels, tenter une passe
					if(tortue.distance(t)<40){
						//System.out.println("Fait une passe");
						tortue.lancer(t);
					}
				}
			}
		}else{
			//System.out.println("adverse : "+ tortue.distance(match.getBalle()));
			//si la balle se trouve à moins de n pixels, essai d'interception
			if(tortue.distance(match.getBalle())<20){
				tortue.intercepter(match.getBalle().getTortue());
			}
			//si la balle se trouve à moins de m pixels, aller vers la balle


		}
	}

	/* (non-Javadoc)
	 * @see pModel.pRole.AbstractRole#gestionDeplacements(pModel.pTerrain.Terrain)
	 */
	@Override
	public void gestionDeplacements(Terrain terrain) {

		//Les defenseurs restent dans leur zone
		//quand la balle est dans leur terrain et dans l'équipe advers ils se dirignet vers, sinon rien.
		_Zone z = terrain.getZone(new Point(tortue.getX(),tortue.getY()));
		Tortue tBalle = this.match.getBalle().getTortue();

		if(terrain.getZone(new Point(tBalle.getX(),tBalle.getY())) == z && tBalle.getEquipe()!=tortue.getEquipe()){
			tortue.deplacementVers(tBalle);
			tortue.avancer(1);
		}else{

			if(tortue.getEquipe().getZone().equals(z) || z.getTypeZone()==0){
				//Dans le terrain de l'equipe
				tortue.avancer(1);
			}else if(z.getTypeZone()==3 || z.getTypeZone()==2 || z.getTypeZone()==1){
				//Sortie de la zone, aller vers l'embut de l'équipe
				tortue.deplacementVers(tortue.getEquipe().getEmbut().centreGavite());
				//tortue.droite(170+(int)(Math.random() * 20));
				tortue.avancer(1);
			}else{
				tortue.reset();
			}	 
		}

	}

}
