/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pModel.pTortue.pCatacteristiques;

import pModel._Model;
import pModel.pTortue.Tortue;


/**
 * Class AbstractCaracteristique
 * @author Olivier Berthier
 */
abstract public class AbstractCaracteristique extends Tortue {

  //
  // Fields
  //

  
  //
  // Constructors
  //
  /**
	 * Contructeur par défaut
	 * @see pModel.pTortue.Tortue#Tortue()
	 */
	public AbstractCaracteristique() {
		super();
	}
	/**
	 * Contructeur :
	 * @see pModel.pTortue.Tortue#Tortue(_Model)
	 * @param model
	 */
	public AbstractCaracteristique (_Model model) {
		super(model);	  
	};

	/**
	 * Contructeur :
	 * @see pModel.pTortue.Tortue#Tortue(_Model, int, int)
	 * @param model
	 * @param x
	 * @param y
	 */
	public AbstractCaracteristique (_Model model,int x, int y) {
		super(model,x,y);
	};
	/**
	 * Contructeur :
	 * @see pModel.pTortue.Tortue#Tortue(_Model, int, int, int)
	 * @param model
	 * @param x
	 * @param y
	 * @param dir
	 */
	public AbstractCaracteristique ( _Model model,int x, int y , int dir) {
		super(model,x,y,dir);
	}
	/**
	 * Contructeur :
	 * 
	 * @see pModel.pTortue.Tortue#Tortue(_Model, String)
	 * 
	 * @param model
	 * @param nom
	 */
	public AbstractCaracteristique (_Model model,String nom) { 
		super(model,nom);
	};

	/**
	 * Contructeur :
	 * @see pModel.pTortue.Tortue#Tortue(_Model, String, int, int)
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 */
	public AbstractCaracteristique (_Model model,String nom, int x, int y) {
		super(model,nom,x,y);
	};
	/**
	 * Contructeur :
	 * @see pModel.pTortue.Tortue#Tortue(_Model, String, int, int, int)
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 * @param dir
	 */
	public AbstractCaracteristique (_Model model,String nom, int x, int y , int dir) {
		super(model,nom,x,y,dir);
	}
  //
  // Methods
  //


  //
  // Accessor methods
  //

 

  //
  // Other methods
  //

}
