/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pModel.pTortue.pCatacteristiques;

import pModel._Model;
import pModel.pTortue.Tortue;


/**
 * Class Deplacement
 * Permet de définir des Tortues plus rapides
 * @author Olivier Berthier
 */
public class Deplacement extends AbstractCaracteristique {

	//
	// Fields
	//

	private Tortue tortue;
	protected int vitesse = 2;

	//
	// Constructors
	//

	/**
	 * 
	 */
	public Deplacement() {
		super();
	}
	/**
	 * @param model
	 */
	public Deplacement (_Model model) {
		super(model);	  
	};

	/**
	 * @param model
	 * @param x
	 * @param y
	 */
	public Deplacement (_Model model,int x, int y) {
		super(model,x,y);
	};
	/**
	 * @param model
	 * @param x
	 * @param y
	 * @param dir
	 */
	public Deplacement ( _Model model,int x, int y , int dir) {
		super(model,x,y,dir);
	}
	/**
	 * @param model
	 * @param nom
	 */
	public Deplacement (_Model model,String nom) { 
		super(model,nom);
	};

	/**
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 */
	public Deplacement (_Model model,String nom, int x, int y) {
		super(model,nom,x,y);
	};
	/**
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 * @param dir
	 */
	public Deplacement (_Model model,String nom, int x, int y , int dir) {
		super(model,nom,x,y,dir);
	}

	//
	// Methods
	//


	//
	// Accessor methods
	//

	/**
	 * Set the value of abstractTortue
	 * @param newVar the new value of abstractTortue
	 */
	public void setTortue ( Tortue newVar ) {
		tortue = newVar;
	}

	/**
	 * Get the value of abstractTortue
	 * @return the value of abstractTortue
	 */
	public Tortue getTortue ( ) {
		return tortue;
	}

	/**
	 * Set the value of vitesse
	 * @param newVar the new value of vitesse
	 */
	public void setVitesse ( int newVar ) {
		vitesse = newVar;
	}

	/**
	 * Get the value of vitesse
	 * @return the value of vitesse
	 */
	public int getVitesse ( ) {
		return vitesse;
	}

	//
	// Other methods
	//

	
	/* (non-Javadoc)
	 * @see pModel.pTortue.Tortue#avancer(int)
	 */
	@Override
	public void avancer( int distance )
	{	
		distance*=vitesse ;
		x = (int) Math.round(x+distance*Math.cos(ratioDegRad*direction));
		y = (int) Math.round(y+distance*Math.sin(ratioDegRad*direction));
		//this.gestionBalle();
		this.gestionCollisions();
	}




}
