/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pModel.pTortue.pCatacteristiques;
import pModel._Model;


/**
 * Class Interception
 * @author Olivier Berthier
 */
public class Interception extends AbstractCaracteristique {

	//
	// Fields
	//

	private pModel.pTortue.AbstractTortue abstractTortue;
	private int chance;

	//
	// Constructors
	//
	/**
	 * 
	 */
	public Interception() {
		super();
	}
	/**
	 * @param model
	 */
	public Interception (_Model model) {
		super(model);	  
	};

	/**
	 * @param model
	 * @param x
	 * @param y
	 */
	public Interception (_Model model,int x, int y) {
		super(model,x,y);
	};
	/**
	 * @param model
	 * @param x
	 * @param y
	 * @param dir
	 */
	public Interception ( _Model model,int x, int y , int dir) {
		super(model,x,y,dir);
	}
	/**
	 * @param model
	 * @param nom
	 */
	public Interception (_Model model,String nom) { 
		super(model,nom);
	};

	/**
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 */
	public Interception (_Model model,String nom, int x, int y) {
		super(model,nom,x,y);
	};
	/**
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 * @param dir
	 */
	public Interception (_Model model,String nom, int x, int y , int dir) {
		super(model,nom,x,y,dir);
	}

	//
	// Methods
	//


	//
	// Accessor methods
	//

	/**
	 * Set the value of abstractTortue
	 * @param newVar the new value of abstractTortue
	 */
	public void setAbstractTortue ( pModel.pTortue.AbstractTortue newVar ) {
		abstractTortue = newVar;
	}

	/**
	 * Get the value of abstractTortue
	 * @return the value of abstractTortue
	 */
	public pModel.pTortue.AbstractTortue getAbstractTortue ( ) {
		return abstractTortue;
	}

	/**
	 * Set the value of chance
	 * @param newVar the new value of chance
	 */
	public void setChance ( int newVar ) {
		chance = newVar;
	}

	/**
	 * Get the value of chance
	 * @return the value of chance
	 */
	public int getChance ( ) {
		return chance;
	}

	//
	// Other methods
	//

	/**
	 * @param        t
	 */
	public void intercepter( pModel.pTortue.AbstractTortue t )
	{
		if(Math.random()*10>8){
			model.getBalle().setTortue(this);
		}
	}


}
