/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pModel.pTortue.pCatacteristiques;

import pModel._Model;
import pModel.pTortue.Tortue;


/**
 * Class Lancer
 * @author Olivier Berthier
 */
public class Lancer extends AbstractCaracteristique {

	//
	// Fields
	//

	private pModel.pTortue.AbstractTortue abstractTortue;
	private int distance;

	//
	// Constructors
	//
	/**
	 * 
	 */
	public Lancer() {
		super();
	}
	/**
	 * @param model
	 */
	public Lancer (_Model model) {
		super(model);	  
	};

	/**
	 * @param model
	 * @param x
	 * @param y
	 */
	public Lancer (_Model model,int x, int y) {
		super(model,x,y);
	};
	/**
	 * @param model
	 * @param x
	 * @param y
	 * @param dir
	 */
	public Lancer ( _Model model,int x, int y , int dir) {
		super(model,x,y,dir);
	}
	/**
	 * @param model
	 * @param nom
	 */
	public Lancer (_Model model,String nom) { 
		super(model,nom);
	};

	/**
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 */
	public Lancer (_Model model,String nom, int x, int y) {
		super(model,nom,x,y);
	};
	/**
	 * @param model
	 * @param nom
	 * @param x
	 * @param y
	 * @param dir
	 */
	public Lancer (_Model model,String nom, int x, int y , int dir) {
		super(model,nom,x,y,dir);
	}
	//
	// Methods
	//


	//
	// Accessor methods
	//

	/**
	 * Set the value of abstractTortue
	 * @param newVar the new value of abstractTortue
	 */
	public void setAbstractTortue ( pModel.pTortue.AbstractTortue newVar ) {
		abstractTortue = newVar;
	}

	/**
	 * Get the value of abstractTortue
	 * @return the value of abstractTortue
	 */
	public pModel.pTortue.AbstractTortue getAbstractTortue ( ) {
		return abstractTortue;
	}

	/**
	 * Set the value of distance
	 * @param newVar the new value of distance
	 */
	public void setDistance ( int newVar ) {
		distance = newVar;
	}

	/**
	 * Get the value of distance
	 * @return the value of distance
	 */
	public int getDistance ( ) {
		return distance;
	}

	//
	// Other methods
	//

	/**
	 * @param        t
	 */
	@Override
	public void lancer( pModel.pTortue.AbstractTortue t )
	{
		if(Math.random()*10>7.5){
			model.getBalle().setTortue((Tortue) t);
		}
	}


}
