/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pVue;

import pControler.ControlerJeu;
import pModel.Match;
import pModel._Model;
import pVue.pGUI.ControleGUI;
import pVue.pGUI.ControleGUITab;

/**
 * Class VueControle
 * @author Olivier Berthier
 *
 */
public class VueControle implements _Vue , pInclude.Observer {
	//
	// Fields
	//
	/**
	 * Instance de Vue controle assurant le singleton
	 */
	private static VueControle vue;
	/**
	 * Référence d'une instance de ControleGUI
	 */
	private ControleGUI fc;
	/**
	 * Référence d'une instance de controleur ControlerJeu
	 */
	private ControlerJeu c;
	//
	// Constructors
	//
	/**
	 * Constructeur de VueCOntrole :
	 * 
	 * @param c ControlerJeu
	 */
	public VueControle(ControlerJeu c) {
		this.fc = new ControleGUI(this);
		this.fc.draw();
		this.c=c;
	}

	/* (non-Javadoc)
	 * @see pVue._Vue#repaint()
	 */
	@Override
	public void repaint() {
		// TODO Auto-generated method stub

	}

	/* (non-Javadoc)
	 * @see pVue._Vue#getJeu()
	 */
	@Override
	public _Model getJeu() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see pVue._Vue#initLogos()
	 */
	@Override
	public void initLogos() {
		// TODO Auto-generated method stub

	}

	/**
	 * Demande au controleur de lancer un nouveau match
	 * @return Match
	 */
	public Match addMatch(){
		return this.c.initMatch();
	}
	/**
	 * Demande au controleur d'arrêter un match M
	 * 
	 * @param m Match
	 */
	public void removeMatch(Match m){
		this.c.endMatch(m);
	}

	/**
	 * Singleton
	 * @param c ControlerJeu
	 * @return CueControle
	 */
	public static VueControle getInstance(ControlerJeu c){
		if(vue!=null)
			vue = new VueControle(c);
		return vue;
	}
	/**
	 * Demande au controleur de lancer un nouveau match
	 * @param nbrEquipes
	 * @param nbrJoueurs
	 * @param noms
	 * @param colors
	 * @return Match
	 */
	public Match addMatch(int nbrEquipes, int nbrJoueurs, String[] noms,int[] colors) {
		
		return this.c.initMatch( nbrEquipes, nbrJoueurs, noms,colors);
	}

	/* (non-Javadoc)
	 * @see pInclude.Observer#update()
	 */
	@Override
	public void update() {
		for(ControleGUITab tmp :this.fc.getV()){
			tmp.updateScores();
		}
		
	}

}
