/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pVue;

import java.util.ArrayList;

import pModel.Solo;
import pModel._Model;
import pVue.pGUI.ControleGUI;
import pVue.pGUI.TerrainGUI;
import pVue.pGUI.pLogo.TortueLogo;
import pVue.pGUI.pLogo._Logo;


/**
 * Class VueJeuSolo
 * @author Olivier Berthier
 */
public class VueJeuSolo implements _Vue {

	//
	// Fields
	//

	private Solo model;
	private TerrainGUI ft;
	private ControleGUI fc;
	private ArrayList<_Logo> logos = new ArrayList<_Logo>();



	//
	// Constructors
	//
	//public VueJeuSolo () { };
	public VueJeuSolo(_Model model) {
		this.model = (Solo) model;
		this.initLogos();
		this.ft = new TerrainGUI(this.model.getTerrain());

		ft.getPanel().setLogos(this.logos);
		ft.setTitle(this.model.getTitle());
		this.fc.draw();
		this.ft.draw();
	}
	//
	// Methods
	//
	@Override
	public void initLogos(){
		TortueLogo t = new TortueLogo(this.model.getTortue());
		this.logos.add(t);
	}	



	//
	// Accessor methods
	//

	/**
	 * Set the value of jeu
	 * @param newVar the new value of jeu
	 */
	public void setJeu ( Solo newVar ) {
		model = newVar;
	}

	/**
	 * Get the value of jeu
	 * @return the value of jeu
	 *
	 * @see pVue._Vue#getJeu()
	 */
	@Override
	public _Model getJeu ( ) {
		return (_Model) model;
	}

	/* (non-Javadoc)
	 * @see pVue._Vue#repaint()
	 */
	@Override
	public void repaint(){
		this.ft.getPanel().repaint();
	}
	//
	// Other methods
	//


}
