/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pVue.pGUI;

import java.util.ArrayList;

import pModel.Match;
import pModel.pEquipe.AbstractTactic;
import pModel.pEquipe.Agressif;
import pModel.pEquipe.Attaque;
import pModel.pEquipe.Defense;
import pModel.pEquipe.Equipe;

/**
 * Class ControleGUITab
 * @author Olivier Berthier
 *
 */
public class ControleGUITab extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Match match;
	private ControleGUI gui;
	private ArrayList<Equipe> equipes;
	//private Vector<ControleGUITabEquipe> equipes = new Vector<ControleGUITabEquipe>();

	/*private javax.swing.JLabel jLabel_matchName;
	  private javax.swing.JLabel jLabel_matchSpeed;


	  private javax.swing.JButton jButton_start;
	  private javax.swing.JButton jButton_pause;
	  private javax.swing.JButton jButton_close;
	  private javax.swing.JSeparator jSeparator2;
	 */

	// private javax.swing.JPanel jPanel_equipe1;

	// private javax.swing.JPanel jPanel_equipe2;

	//  private javax.swing.JSlider jSlider_matchSpeed;

	private javax.swing.JButton jButton_pause;
	private javax.swing.JButton jButton_start;
	private javax.swing.JButton jButton_close;
	private javax.swing.JComboBox jComboBox_equipe2Tactic;
	private javax.swing.JComboBox jComboBox_equipe1Tactic;
	private javax.swing.JLabel jLabel10;
	private javax.swing.JLabel jLabel_equipe2Score;
	private javax.swing.JLabel jLabel12;
	private javax.swing.JLabel jLabel_equipe2;
	private javax.swing.JLabel jLabel_equipe2Name;
	private javax.swing.JLabel jLabel7;
	private javax.swing.JLabel jLabel8;
	private javax.swing.JLabel jLabel_equipe1;
	private javax.swing.JLabel jLabel_equipe1Name;
	private javax.swing.JLabel jLabel_equipe1Score;
	private javax.swing.JLabel jLabel_matchName;
	private javax.swing.JLabel jLabel_matchSpeed;
	private javax.swing.JPanel jPanel_equipe2;
	private javax.swing.JPanel jPanel_equipe1;
	private javax.swing.JPanel jPanel_equipe1Color;
	private javax.swing.JPanel jPanel_equipe2Color;
	// private javax.swing.JPanel jPanel_match;
	private javax.swing.JSeparator jSeparator2;
	private javax.swing.JSlider jSlider_matchSpeed;

	public ControleGUITab(ControleGUI gui,Match addMatch) {
		this.gui=gui;
		this.match=addMatch;
		this.equipes=this.match.getEquipes();
		this.initComponents();
		this.jSlider_matchSpeed.setValue(this.jSlider_matchSpeed.getMaximum()-this.match.getSpeed());
	}
	private void initComponents() {

		// jPanel_match = new javax.swing.JPanel();
		jLabel_matchName = new javax.swing.JLabel();
		jLabel_matchSpeed = new javax.swing.JLabel();
		jSlider_matchSpeed = new javax.swing.JSlider();
		jButton_start = new javax.swing.JButton();
		jButton_pause = new javax.swing.JButton();
		jButton_close = new javax.swing.JButton();
		jSeparator2 = new javax.swing.JSeparator();
		jPanel_equipe1 = new javax.swing.JPanel();
		jLabel_equipe1 = new javax.swing.JLabel();
		jLabel_equipe1Name = new javax.swing.JLabel();
		jLabel7 = new javax.swing.JLabel();
		jLabel_equipe1Score = new javax.swing.JLabel();
		jLabel10 = new javax.swing.JLabel();
		jComboBox_equipe1Tactic = new javax.swing.JComboBox();
		jPanel_equipe1Color = new javax.swing.JPanel();
		jPanel_equipe2Color = new javax.swing.JPanel();
		jPanel_equipe2 = new javax.swing.JPanel();
		jLabel_equipe2 = new javax.swing.JLabel();
		jLabel_equipe2Name = new javax.swing.JLabel();
		jLabel8 = new javax.swing.JLabel();
		jLabel_equipe2Score = new javax.swing.JLabel();
		jLabel12 = new javax.swing.JLabel();
		jComboBox_equipe2Tactic = new javax.swing.JComboBox();
		/*jSlider_matchSpeed = new javax.swing.JSlider();
	      jLabel_matchName = new javax.swing.JLabel();
	      jLabel_matchSpeed = new javax.swing.JLabel();
		  jButton_start = new javax.swing.JButton();
	      jButton_pause = new javax.swing.JButton();
	      jButton_close = new javax.swing.JButton();
	      jSeparator2 = new javax.swing.JSeparator();*/
		// jPanel_equipe1 = new javax.swing.JPanel();
		//jPanel_equipe2 = new javax.swing.JPanel();
		this.init();

	}
	private void init(){


		jLabel_matchName.setText("Match en cours :");
		jLabel_matchName.setName("matchName_JL"); // NOI18N

		jLabel_matchSpeed.setText("Vitesse : ");

		jSlider_matchSpeed.setName("speed"); // NOI18N
		jSlider_matchSpeed.addChangeListener(new javax.swing.event.ChangeListener() {
			public void stateChanged(javax.swing.event.ChangeEvent evt) {
				jSlider_matchSpeedStateChanged(evt);
			}
		});

		jButton_start.setText("START");
		jButton_start.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton_startActionPerformed(evt);
			}
		});

		jButton_pause.setText("PAUSE");
		jButton_pause.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton_pauseActionPerformed(evt);
			}
		});


		jButton_close.setText("CLOSE");
		jButton_close.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton_closeActionPerformed(evt);
			}
		});

		//Seulement deux équipes gérées...

		Equipe e=equipes.get(0);

		jLabel_equipe1.setText("Equipe 1 :");
		jLabel_equipe1.setName("equipeN_JL"); // NOI18N

		jLabel_equipe1Name.setText(e.getNom());
		jLabel_equipe1Name.setName("equipeName"); // NOI18N

		jLabel7.setText("Score :");

		jLabel_equipe1Score.setText(""+e.getScore());
		jLabel_equipe1Score.setName("equipeScore"); // NOI18N

		jLabel10.setText("Tactic :");

		jComboBox_equipe1Tactic.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Agressif", "Attaque", "Défense" }));
		jComboBox_equipe1Tactic.setName("tactic1"); // NOI18N
		jComboBox_equipe1Tactic.setSelectedIndex(1);
		jComboBox_equipe1Tactic.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jComboBox_equipeNTacticActionPerformed(evt);
			}
		});

		jPanel_equipe1Color.setBackground(e.getCouleur());

		javax.swing.GroupLayout jPanel_equipe1ColorLayout = new javax.swing.GroupLayout(jPanel_equipe1Color);
		jPanel_equipe1Color.setLayout(jPanel_equipe1ColorLayout);
		jPanel_equipe1ColorLayout.setHorizontalGroup(
				jPanel_equipe1ColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 15, Short.MAX_VALUE)
				);
		jPanel_equipe1ColorLayout.setVerticalGroup(
				jPanel_equipe1ColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 16, Short.MAX_VALUE)
				);



		//javax.swing.GroupLayout jPanel_equipe2ColorLayout = new javax.swing.GroupLayout(jPanel_equipe1Color);
		/*		jPanel_equipe2Color.setLayout(jPanel_equipe1ColorLayout);
		jPanel_equipe1ColorLayout.setHorizontalGroup(
				jPanel_equipe1ColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 15, Short.MAX_VALUE)
				);
		jPanel_equipe1ColorLayout.setVerticalGroup(
				jPanel_equipe1ColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGap(0, 16, Short.MAX_VALUE)
				);
		 */

		javax.swing.GroupLayout jPanel_equipe1Layout = new javax.swing.GroupLayout(jPanel_equipe1);
		jPanel_equipe1.setLayout(jPanel_equipe1Layout);
		jPanel_equipe1Layout.setHorizontalGroup(
				jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_equipe1Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel_equipe1Layout.createSequentialGroup()
										.addComponent(jPanel_equipe1Color, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jLabel_equipe1)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jLabel_equipe1Name))
										.addGroup(jPanel_equipe1Layout.createSequentialGroup()
												.addComponent(jLabel7)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
												.addComponent(jLabel_equipe1Score))
												.addGroup(jPanel_equipe1Layout.createSequentialGroup()
														.addComponent(jLabel10)
														.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
														.addComponent(jComboBox_equipe1Tactic, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
														.addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
				);
		jPanel_equipe1Layout.setVerticalGroup(
				jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_equipe1Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addGroup(jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
										.addComponent(jLabel_equipe1)
										.addComponent(jLabel_equipe1Name))
										.addComponent(jPanel_equipe1Color, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
												.addComponent(jLabel7)
												.addComponent(jLabel_equipe1Score))
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
												.addGroup(jPanel_equipe1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(jLabel10)
														.addComponent(jComboBox_equipe1Tactic, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
														.addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
				);

		//

		e=equipes.get(1);
		jLabel_equipe2.setText("Equipe 2 :");

		jLabel_equipe2Name.setText(e.getNom());
		jLabel_equipe2Name.setName("equipeName"); // NOI18N

		jLabel8.setText("Score :");

		jLabel_equipe2Score.setText("0");
		jLabel_equipe2Score.setName("equipeScore"); // NOI18N

		jLabel12.setText("Tactic :");

		jComboBox_equipe2Tactic.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Agressif", "Attaque", "Défense"  }));
		jComboBox_equipe2Tactic.setName("tactic1"); // NOI18N
		jComboBox_equipe2Tactic.setSelectedIndex(1);
		jComboBox_equipe2Tactic.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jComboBox2ActionPerformed(evt);
			}
		});

		/* jPanel_equipe2Color.setBackground(e.getCouleur());

	      javax.swing.GroupLayout jPanel_equipe2ColorLayout = new javax.swing.GroupLayout(jPanel_equipe1Color);
	      jPanel_equipe2Color.setLayout(jPanel_equipe2ColorLayout);
	      jPanel_equipe2ColorLayout.setHorizontalGroup(
	          jPanel_equipe2ColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
	          .addGap(0, 15, Short.MAX_VALUE)
	      );
	      jPanel_equipe2ColorLayout.setVerticalGroup(
	          jPanel_equipe2ColorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
	          .addGap(0, 16, Short.MAX_VALUE)
	      );
		 */
		javax.swing.GroupLayout jPanel_equipe2Layout = new javax.swing.GroupLayout(jPanel_equipe2);
		jPanel_equipe2.setLayout(jPanel_equipe2Layout);
		jPanel_equipe2Layout.setHorizontalGroup(
				jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_equipe2Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel_equipe2Layout.createSequentialGroup()
										.addComponent(jPanel_equipe2Color, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)		                     
										.addComponent(jLabel_equipe2)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jLabel_equipe2Name))
										.addGroup(jPanel_equipe2Layout.createSequentialGroup()
												.addComponent(jLabel8)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
												.addComponent(jLabel_equipe2Score))
												.addGroup(jPanel_equipe2Layout.createSequentialGroup()
														.addComponent(jLabel12)
														.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
														.addComponent(jComboBox_equipe2Tactic, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
														.addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
				);
		jPanel_equipe2Layout.setVerticalGroup(
				jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_equipe2Layout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addGroup(jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
										.addComponent(jLabel_equipe2)
										.addComponent(jLabel_equipe2Name))
										.addComponent(jPanel_equipe2Color, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addGroup(jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
												.addComponent(jLabel8)
												.addComponent(jLabel_equipe2Score))
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
												.addGroup(jPanel_equipe2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(jLabel12)
														.addComponent(jComboBox_equipe2Tactic, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
														.addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
				);


		javax.swing.GroupLayout jPanel_matchLayout = new javax.swing.GroupLayout(this);
		this.setLayout(jPanel_matchLayout);
		jPanel_matchLayout.setHorizontalGroup(
				jPanel_matchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel_matchLayout.createSequentialGroup()
						.addContainerGap()
						.addGroup(jPanel_matchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addComponent(jLabel_matchName)
								.addGroup(jPanel_matchLayout.createSequentialGroup()
										.addComponent(jLabel_matchSpeed)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jSlider_matchSpeed, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
										.addGroup(jPanel_matchLayout.createSequentialGroup()
												.addComponent(jButton_start)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
												.addComponent(jButton_pause)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
												.addComponent(jButton_close)))
												.addContainerGap(224, Short.MAX_VALUE))
												.addComponent(jSeparator2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 578, Short.MAX_VALUE)
												.addGroup(jPanel_matchLayout.createSequentialGroup()
														.addContainerGap()
														.addComponent(jPanel_equipe1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
														.addGap(18, 18, 18)
														.addComponent(jPanel_equipe2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
														.addContainerGap(214, Short.MAX_VALUE))
				);
		jPanel_matchLayout.setVerticalGroup(
				jPanel_matchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel_matchLayout.createSequentialGroup()
						.addContainerGap()
						.addComponent(jLabel_matchName)
						.addGap(18, 18, 18)
						.addGroup(jPanel_matchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
								.addGroup(jPanel_matchLayout.createSequentialGroup()
										.addComponent(jPanel_equipe1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
										.addGap(58, 58, 58))
										.addGroup(jPanel_matchLayout.createSequentialGroup()
												.addComponent(jPanel_equipe2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
												.addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 11, javax.swing.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
												.addGroup(jPanel_matchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(jButton_start)
														.addComponent(jButton_pause)
														.addComponent(jButton_close))
														.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
														.addGroup(jPanel_matchLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
																.addComponent(jSlider_matchSpeed, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
																.addComponent(jLabel_matchSpeed))
																.addContainerGap())
				);






	}



	private void jSlider_matchSpeedStateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_jSlider_matchSpeedStateChanged
		this.match.setSpeed(this.jSlider_matchSpeed.getMaximum()-this.jSlider_matchSpeed.getValue());
	}//GEN-LAST:event_jSlider_matchSpeedStateChanged
	private void jButton_startActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_startActionPerformed
		this.match.toggleRun();
	}//GEN-LAST:event_jButton_startActionPerformed

	private void jButton_closeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_closeActionPerformed
		this.match.end();
		this.gui.removePanelMatch(this);
	}//GEN-LAST:event_jButton_closeActionPerformed

	private void jButton_pauseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton_pauseActionPerformed
		this.match.toggleRun();
	}//GEN-LAST:event_jButton_stopActionPerformed

	private void jComboBox_equipeNTacticActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox_equipeNTacticActionPerformed
		AbstractTactic tactic=null;
		switch(this.jComboBox_equipe1Tactic.getSelectedIndex()){
		case 0:
			tactic = new Agressif(equipes.get(0));
			break;
		case 1:
			tactic = new Attaque(equipes.get(0));
			break;
		default:
		case 2:
			tactic = new Defense(equipes.get(0));
			break;
		}
		equipes.get(0).setTactic(tactic);

	}//GEN-LAST:event_jComboBox_equipeNTacticActionPerformed

	private void jComboBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox2ActionPerformed
		AbstractTactic tactic=null;
		switch(this.jComboBox_equipe2Tactic.getSelectedIndex()){
		case 0:
			tactic = new Agressif(equipes.get(1));
			break;
		case 1:
			tactic = new Attaque(equipes.get(1));
			break;
		default:
		case 2:
			tactic = new Defense(equipes.get(1));
			break;
		}
		equipes.get(1).setTactic(tactic);
	}//GEN-LAST:event_jComboBox2ActionPerformed
	/**
	 * @return the match
	 */
	public Match getMatch() {
		return match;
	}
	/**
	 * @param match the match to set
	 */
	public void setMatch(Match match) {
		this.match = match;
	}
	/**
	 * Mettre à jour les scores
	 */
	public void updateScores(){
		jLabel_equipe1Score.setText(""+this.equipes.get(0).getScore());
		jLabel_equipe2Score.setText(""+this.equipes.get(1).getScore());
	}

}


