/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pVue.pGUI.pLogo;

import java.awt.Color;
import java.awt.Graphics;

import pModel.pTortue.Balle;


/**
 * Class LogoBalle
 * Permet de définir un Logo Balle sur un terrain de jeu.
 * @author Olivier Berthier
 */
public class BalleLogo implements _Logo {

	//
	// Fields
	//
	/**
	 * Balle dessinée par l'instance de BalleLogo
	 */
	private Balle balle;

	//
	// Constructors
	//
	/**
	 * Constructeur de BalleLogo
	 * 
	 * @param balle
	 * @see pModel.pTortue.Balle
	 */
	public BalleLogo (Balle balle) {
		this.balle = balle;
	};

	//
	// Methods
	//


	//
	// Accessor methods
	//

	//
	// Other methods
	//

	/* (non-Javadoc)
	 * @see pVue.pGUI.pLogo._Logo#draw(java.awt.Graphics)
	 */
	@Override
	public void draw( Graphics graph  )
	{
		if (graph==null)
			return;
		//System.out.println(balle.getX()+" "+balle.getY());
		graph.drawOval(balle.getX(), balle.getY(), 5, 5);//un cercle
		graph.setColor(Color.blue);
	}


}
